USBSID_NS::USBSID_Class Class Reference

## Public Member Functions

int | USBSID_Init (bool start_threaded, bool with_cycles)
int | USBSID_Close (void)
int | USBSID_GetInstanceID (void)
bool | USBSID_isInitialised (void)
bool | USBSID_isAvailable (void)
bool | USBSID_isOpen (void)
void | USBSID_Pause (void)
void | USBSID_Reset (void)
void | USBSID_ResetAllRegisters (void)
void | USBSID_Mute (void)
void | USBSID_UnMute (void)
void | USBSID_DisableSID (void)
void | USBSID_EnableSID (void)
void | USBSID_ClearBus (void)
void | USBSID_SetClockRate (long clockrate_cycles, bool suspend_sids)
long | USBSID_GetClockRate (void)
long | USBSID_GetRefreshRate (void)
long | USBSID_GetRasterRate (void)
uint8_t * | USBSID_GetSocketConfig (uint8_t socket_config[])
int | USBSID_GetSocketNumSIDS (int socket, uint8_t socket_config[])
int | USBSID_GetSocketChipType (int socket, uint8_t socket_config[])
int | USBSID_GetSocketSIDType1 (int socket, uint8_t socket_config[])
int | USBSID_GetSocketSIDType2 (int socket, uint8_t socket_config[])
int | USBSID_GetNumSIDs (void)
int | USBSID_GetFMOplSID (void)
int | USBSID_GetPCBVersion (void)
void | USBSID_SetStereo (int state)
void | USBSID_ToggleStereo (void)
void | USBSID_SingleWrite (unsigned char *buff, int len)
unsigned char | USBSID_SingleRead (uint8_t reg)
unsigned char | USBSID_SingleReadConfig (unsigned char *buff, int len)
void | USBSID_Write (unsigned char *buff, size_t len)
void | USBSID_Write (uint8_t reg, uint8_t val)
void | USBSID_Write (unsigned char *buff, size_t len, uint16_t cycles)
void | USBSID_Write (uint8_t reg, uint8_t val, uint16_t cycles)
void | USBSID_WriteCycled (uint8_t reg, uint8_t val, uint16_t cycles)
unsigned char | USBSID_Read (uint8_t reg)
unsigned char | USBSID_Read (unsigned char *writebuff)
unsigned char | USBSID_Read (unsigned char *writebuff, uint16_t cycles)
void | USBSID_WriteRing (uint8_t reg, uint8_t val)
void | USBSID_WriteRingCycled (uint8_t reg, uint8_t val, uint16_t cycles)
void | USBSID_EnableThread (void)
void | USBSID_DisableThread (void)
void | USBSID_SetFlush (void)
void | USBSID_Flush (void)
void | USBSID_SetBufferSize (int size)
void | USBSID_SetDiffSize (int size)
void | USBSID_RestartRingBuffer (void)
void | USBSID_RestartThread (bool with_cycles)
uint_fast64_t | USBSID_WaitForCycle (uint_fast16_t cycles)
uint_fast64_t | USBSID_WaitForCycle_ (uint_fast16_t cycles)
void | USBSID_SyncTime (void)
uint8_t | USBSID_Address (uint16_t addr)

## Static Public Member Functions

static void * | _USBSID_Thread (void *context)

The documentation for this class was generated from the following files:

- USBSID.h
- USBSID.cpp